Subject: Re: [PATCH] compat: fixes for header handling with OpenBSD / NetBSD

From: Collin Funk <[email-masked]>
Date: Mon, 02 Jun 2025 11:06:55 -0700

Hi Brad,

You wrote:

> Handle OpenBSD and NetBSD as FreeBSD / DragonFly are. OpenBSD would
> need _XOPEN_SOURCE to be set to 700. Its simpler to just not set
> _XOPEN_SOURCE.
> 
>     CC strbuf.o
> strbuf.c:645:6: warning: call to undeclared function 'getdelim'; ISO C99 and later do not support implicit function declarations [-Wimplicit-function-declaration]
>         r = getdelim(&sb->buf, &sb->alloc, term, fp);
>             ^
> 1 warning generated.
> 
> Signed-off-by: Brad Smith <[email-masked]>
> ---
>  compat/posix.h | 11 +++++------
>  1 file changed, 5 insertions(+), 6 deletions(-)

I noticed this as well when testing your other fixes.

Just one question about this chunk:

>  #define _DEFAULT_SOURCE 1
> -#define _NETBSD_SOURCE 1

Why remove this definition? I think it might be useful on some older
systems and seems harmless otherwise.

Other than that, I tested on OpenBSD 7.6 and NetBSD 10.0 and this patch
fixes the missing declarations. So:

Reviewed-by: Collin Funk <[email-masked]>

Collin